#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
%global		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	kf5-ki18n
Version		:	5.107.0
Release		:	17.0.10.rel%{?dist}
Summary		:	KDE Frameworks 5 Tier 1 integration module for idle time detection
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks


Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	extra-cmake-modules
BuildRequires	:	kf5-rpm-macros
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-qtdeclarative-devel
BuildRequires	:	qt5-qtscript-devel
#-----------------------------------------------------------------------------
%description
KDE Frameworks 5 Tier 1 addon for localization.

#-----------------------------------------------------------------------------
#BuildRequires	:	extra-cmake-modules
#BuildRequires	:	qt5-qttools-devel
#-----------------------------------------------------------------------------
%files			-f %{sname}.lang
%defattr(-,root,root,-)
%doc README.md
%license LICENSES/*.txt
%{_kf5_libdir}/libKF5I18n.so.*
%{_kf5_libdir}/libKF5I18nLocaleData.so.*
%{_kf5_datadir}/qlogging-categories5/*%{sname}*
%{_kf5_qmldir}/org/kde/i18n/localeData/
%{_kf5_qtplugindir}/kf5/ktranscript.so
%lang(ca) %{_datadir}/locale/ca/LC_SCRIPTS/ki18n5/
%lang(ca@valencia) %{_datadir}/locale/ca@valencia/LC_SCRIPTS/ki18n5/
%lang(fi) %{_datadir}/locale/fi/LC_SCRIPTS/ki18n5/
%lang(gd) %{_datadir}/locale/gd/LC_SCRIPTS/ki18n5/
%lang(ja) %{_datadir}/locale/ja/LC_SCRIPTS/ki18n5/
%lang(ko) %{_datadir}/locale/ko/LC_SCRIPTS/ki18n5/
%lang(nb) %{_datadir}/locale/nb/LC_SCRIPTS/ki18n5/
%lang(nn) %{_datadir}/locale/nn/LC_SCRIPTS/ki18n5/
%lang(ru) %{_datadir}/locale/ru/LC_SCRIPTS/ki18n5/
%lang(sr) %{_datadir}/locale/sr/LC_SCRIPTS/ki18n5/
%lang(sr@ijekavian) %{_datadir}/locale/sr@ijekavian/LC_SCRIPTS/ki18n5/
%lang(sr@ijekavianlatin) %{_datadir}/locale/sr@ijekavianlatin/LC_SCRIPTS/ki18n5/
%lang(sr@latin) %{_datadir}/locale/sr@latin/LC_SCRIPTS/ki18n5/
%lang(sr) %{_datadir}/locale/uk/LC_SCRIPTS/ki18n5/

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	qt5-rpm-macros

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_kf5_includedir}/KI18n/
%{_kf5_includedir}/KI18nLocaleData/
%{_kf5_libdir}/libKF5I18n.so
%{_kf5_libdir}/libKF5I18nLocaleData.so
%{_kf5_libdir}/cmake/KF5I18n/
%{_kf5_archdatadir}/mkspecs/modules/qt_KI18n.pri

#=============================================================================
%package		doc
Summary		:	Developer Documentation files for %{name}

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
Developer Documentation files for %{name} for
use with KDevelop or QtCreator.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-B _bld							\
	-S .							\
	-D CMAKE_BUILD_TYPE=Release				\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D BUILD_TESTING=OFF					\
	-D BUILD_QCH=OFF					\
	-D PYTHON_EXECUTABLE=%{__python}			\

cmake								\
	--build							\
	_bld							\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

%find_lang %{sname} --all-name
 

#-----------------------------------------------------------------------------
%changelog
